%define _smp_ncpus_max 6

%ifarch aarch64
%define _smp_ncpus_max 2
%endif

%define oname webkitgtk

%define api 4.0

%define javascriptcoregtk_major 18
%define libjavascriptcoregtk %mklibname javascriptcoregtk %{api} %{javascriptcoregtk_major}
%define javascriptcoregtk_gir %mklibname javascriptcore-gir %{api}

%define webkit2_major 37
%define libwebkit2 %mklibname webkit2gtk %{api} %{webkit2_major}
%define webkit2_gir %mklibname webkit2gtk-gir %{api}

%define develname %mklibname -d webkit2

Name:		webkit2
Version:	2.24.0
Release:	%mkrel 1
Summary:	GTK+ Web content engine library
License:	BSD and LGPLv2+
Group:		System/Libraries
Source0:	http://webkitgtk.org/releases/%{oname}-%{version}.tar.xz
URL:		http://www.webkitgtk.org
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(atspi-2)
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gdk-2.0)
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(geoclue-2.0)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gstreamer-1.0) >= 1.0.3
BuildRequires:	pkgconfig(gstreamer-app-1.0) >= 1.0.3
BuildRequires:	pkgconfig(gstreamer-audio-1.0) >= 1.0.3
BuildRequires:	pkgconfig(gstreamer-base-1.0) >= 1.0.3
BuildRequires:	pkgconfig(gstreamer-fft-1.0) >= 1.0.3
BuildRequires:	pkgconfig(gstreamer-gl-1.0) >= 1.5.0
BuildRequires:	pkgconfig(gstreamer-mpegts-1.0) >= 1.4.0
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0) >= 1.0.3
BuildRequires:	pkgconfig(gstreamer-tag-1.0) >= 1.0.3
BuildRequires:	pkgconfig(gstreamer-video-1.0) >= 1.0.3
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk+-unix-print-3.0)
BuildRequires:	pkgconfig(gtk+-wayland-3.0)
BuildRequires:	pkgconfig(gtk+-x11-3.0)
BuildRequires:	pkgconfig(harfbuzz) >= 0.9.7
BuildRequires:	pkgconfig(harfbuzz-icu) >= 0.9.18
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(upower-glib)
BuildRequires:	pkgconfig(libwoff2dec)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-egl)
BuildRequires:	pkgconfig(wayland-server)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	bison >= 2.3
BuildRequires:	gperf >= 3.0.1
BuildRequires:	pkgconfig(python2)
BuildRequires:	ruby >= 1.8.7
BuildRequires:	pkgconfig(cairo) >= 1.10.2
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	libsoup-devel >= 2.42.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.8.0
BuildRequires:	pkgconfig(libxslt) >= 1.1.7
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	hyphen-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(xt)
BuildRequires:	cmake

%description
WebKitGTK+ is the port of the portable web rendering engine WebKit to the
GTK+ platform.

%package -n	%{develname}
Summary:	Development files for WebKit GTK+ port
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libwebkit2gtk-devel = %{version}-%{release}
Requires:   %{name}


%description -n	%{develname}
The %{name}-devel package contains libraries, build data, and header
files for developing applications that use %{name}.


%prep
%setup -qn %{oname}-%{version}

%build
%global optflags %(echo %{optflags} | sed 's/-g /-g1 /')


%cmake \
    -DPORT=GTK \
    -DCMAKE_C_FLAGS_RELWITHDEBINFO="-DNDEBUG" \
    -DCMAKE_CXX_FLAGS_RELWITHDEBINFO="-DNDEBUG"
    
%make_build

%install
%make_install -C build

%find_lang WebKit2GTK-%{api}

%files -f WebKit2GTK-%{api}.lang
%dir %{_libexecdir}/webkit2gtk-%{api}
%{_libexecdir}/webkit2gtk-%{api}/WebKit*
%dir %{_libdir}/webkit2gtk-%{api}
%{_libdir}/webkit2gtk-%{api}/injected-bundle/libwebkit2gtkinjectedbundle.so
%{_bindir}/WebKitWebDriver
%{_libexecdir}/webkit2gtk-%{api}/jsc
%{_libdir}/libjavascriptcoregtk-%{api}.so.%{javascriptcoregtk_major}
%{_libdir}/libjavascriptcoregtk-%{api}.so.%{javascriptcoregtk_major}.*
%{_libdir}/libwebkit2gtk-%{api}.so.%{webkit2_major}
%{_libdir}/libwebkit2gtk-%{api}.so.%{webkit2_major}.*
%{_libdir}/girepository-1.0/JavaScriptCore-%{api}.typelib
%{_libdir}/girepository-1.0/WebKit2-%{api}.typelib
%{_libdir}/girepository-1.0/WebKit2WebExtension-%{api}.typelib

%files -n %{develname}
%{_includedir}/webkitgtk-%{api}
%{_libdir}/*-%{api}.so
%{_libdir}/pkgconfig/*-%{api}.pc
%{_datadir}/gir-1.0/*-%{api}.gir


%changelog
* Fri Mar 29 2019 tex 2.24.0-1pclos2019
- 2.24.0

* Wed Mar 06 2019 tex 2.22.6-1pclos2019
- new
